#pragma once
#include "workspaceaccess.h"

class CServerInfo :
	public CWorkspaceAccess
{
public:
	//	コンストラクタをまとめて定義
	DEFINE_COMMON_CONSTRUCTOR(CServerInfo);

	///////////////////////////////////////////////////////////////////////////////////////////////////
	//	プロパティ
	///////////////////////////////////////////////////////////////////////////////////////////////////
	//!	サーバ名
	DEFINE_PROPERTY_METHOD_STR(ServerName, "ServerName", "");

	//!	サーバ名
	DEFINE_PROPERTY_METHOD_STR(ServerVersion, "ServerVersion", "");

	//!	サーバシグニチャ
	DEFINE_PROPERTY_METHOD_STR(ServerSignature, "ServerSignature", "");

	//!	サーバルート
	DEFINE_PROPERTY_METHOD_STR(ServerRoot, "ServerRoot", "");

	//!	サーバアドレス
	DEFINE_PROPERTY_METHOD_STR(ServerAddress, "ServerAddress", "");

	//!	サーバホスト名
	DEFINE_PROPERTY_METHOD_STR(ServerHostName, "ServerHostName", "");
};
